Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 43348 - Spell check: Using "Remove" or "Replace" buttons don't work in personal dictionary dialog
: Spell check: Using "Remove" or "Replace" buttons don't work in personal dicti...
: helpwanted
Product: Core
Classification: Components
Component: Editor (show other bugs)
: Trunk
: All All
: P4 normal (vote)
: mozilla1.2alpha
Assigned To: kinmoz
: sujay
: Jet Villegas (:jet)
: 58901 73268 152546 (view as bug list)
Depends on:
  Show dependency treegraph
Reported: 2000-06-21 13:30 PDT by rubydoo123
Modified: 2003-04-04 07:55 PST (History)
8 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---

Workaround patch v1 for NS spellcheck module (5.22 KB, patch)
2002-06-18 15:30 PDT, Charles Manske
no flags Details | Diff | Splinter Review

Description rubydoo123 2000-06-21 13:30:35 PDT
Selected added word in the personal dictionary, selected delete and the word was 
not deleted.

Steps to reproduce:
1. open either an existing page or new page. If a new page, enter several lines 
of text, making sure to add some unique words such as Netscape or AOL.
2. select spelling from toolbar or menu
3. when the unique word os found and is displayed in the text field of the spell 
check dialog, select add. Complete the spell check session.
4. Relaunch spell check and select Edit from the dialog
5. In the edit personal dictionary dialog, select the word you just added and 
select delete.

What happens: the word is not deleted
Comment 1 rubydoo123 2000-06-23 12:24:09 PDT
setting to m17
Comment 2 kinmoz 2000-07-05 08:58:13 PDT
Accepting bug.
Comment 3 rubydoo123 2000-07-19 15:12:11 PDT
needs to be fixed for beta3
Comment 4 rubydoo123 2000-07-27 08:21:16 PDT
setting to nsbeta3+
Comment 5 rubydoo123 2000-07-31 14:31:34 PDT
setting priority in status whiteboard
Comment 6 leger 2000-08-25 17:20:54 PDT
PDT downloading to [nsbeta2-]
Comment 7 rubydoo123 2000-08-29 09:09:15 PDT
hopefully the user will be able to edit the personal dictionary with another 

setting to minus, moving to future and adding helpwanted
Comment 8 Charles Manske 2001-03-29 13:36:36 PST
*** Bug 73268 has been marked as a duplicate of this bug. ***
Comment 9 Charles Manske 2001-03-29 13:37:50 PST
Changed Summary for better searching.
I think this should be reevaluated for 0.9.1
Comment 10 TucsonTester1 2001-09-05 15:28:08 PDT
Confirming Spell`s User Dictionary behaviour still exists in Composer build

While testing Spell Check feature using a rather long pre-saved document,
created a new Personal Dictionary list by adding approximately 145 odd
words--some mispelled, even.  Could empty, though not permanently delete, the
Personal Dictionary list, just as described above.  After seemingly have
unloadeded the entire list under ``Words in dictionary:,'' by navigating
[Spell], [Edit] Personal Dictionary, highlighting the first word in the list
[Remove], [Remove], [Remove], ... [Close], the list will return every time.

Completely exiting the software altogether has no additional effect.  The list

Note: Please see also, where the exact issue appears in (Mail) Composer Spell
Check User Dictionary, as originally indicated in Bug 58901.  The identical
list, apparently ``emptied,'' magically appears untouched when Personal
Dictionary is reopened.

Comment 11 Jean-Francois Ducarroz 2001-10-05 11:43:33 PDT
*** Bug 58901 has been marked as a duplicate of this bug. ***
Comment 12 kinmoz 2001-11-27 15:25:20 PST
Bulk move of mozilla1.0 bugs to mozilla.1.0.1. I will try to pull some of these
back in if I can.
Comment 13 Andrew Hagen 2002-02-22 07:40:21 PST
Shouldn't Platform/OS be set to all/all on this bug?
Comment 14 Charles Manske 2002-06-18 12:14:01 PDT
*** Bug 152546 has been marked as a duplicate of this bug. ***
Comment 15 Charles Manske 2002-06-18 12:16:52 PDT
I think this should get some attention! Marking editorbase.
Comment 16 Charles Manske 2002-06-18 12:21:08 PDT
The reason this hasn't been fixed a long time ago is explained by kin:
"It's a bug in the INSO codethere's a bit that's preventing things from being
removed I don't see how (in the INSO API)to cause that bit to get set/unset"
Comment 17 Charles Manske 2002-06-18 15:30:25 PDT
Created attachment 88199 [details] [diff] [review]
Workaround patch v1 for NS spellcheck module

This patch is contingent on adding ResetPersonalDictionary to NS spellcheck
as well (see bugzilla bug 127704).
But to do this right in mozilla space, we probably should have an overlay that
uses code in this patch only when using the INSO spell checker.
I hope the mozdev spellchecker doesn't have this problem and doesn't have to
use this hack.
Comment 18 Charles Manske 2002-06-18 15:39:08 PDT
In last comment, adding "ResetPersonalDictionary()" to NS code is for NS people to look at.
Comment 19 Gayatri Rimola 2002-07-26 15:57:09 PDT
Nominating for Buffy. Workaround is to close and re-open Netscape and deleted
items will no longer show. 
Comment 20 Kevin McCluskey (gone) 2002-08-15 16:30:47 PDT
Syd: Can someone on the composer team take this one? Kin's overloaded. Thanks.
Comment 21 Charles Manske 2002-08-29 09:50:35 PDT
i'll look at this a bit
Comment 22 Kathleen Brade 2003-02-13 10:25:09 PST
Comment 23 kinmoz 2003-02-13 11:57:23 PST
This turned out to be a bug in the 3rd party spellchecker Netscape uses.
(bugscape id 13713)

Resolving this bug as invalid since it's not front end related.
Comment 24 rubydoo123 2003-04-04 07:55:35 PST

Note You need to log in before you can comment on or make changes to this bug.